GDCM: gdcm::Dict Class Reference

GDCM 3.2.8

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::Dict Class Reference

Class to represent a map of DictEntry. More...

`#include <gdcmDict.h>`

## Public Types
typedef MapDictEntry::const_iterator | ConstIterator
typedef MapDictEntry::iterator | Iterator
typedef std::map< Tag, DictEntry > | MapDictEntry

## Public Member Functions
| Dict ()
| Dict (const Dict &_val)=delete
void | AddDictEntry (const Tag &tag, const DictEntry &de)
ConstIterator | Begin () const
ConstIterator | End () const
const DictEntry & | GetDictEntry (const Tag &tag) const
const DictEntry & | GetDictEntryByKeyword (const char *keyword, Tag &tag) const
const DictEntry & | GetDictEntryByName (const char *name, Tag &tag) const
const char * | GetKeywordFromTag (Tag const &tag) const
| Function to return the Keyword from a Tag.
bool | IsEmpty () const
Dict & | operator= (const Dict &_val)=delete

## Protected Member Functions
void | LoadDefault ()

## Friends
class | Dicts
std::ostream & | operator<< (std::ostream &_os, const Dict &_val)

## Detailed Description

Class to represent a map of DictEntry.

Note
  bla TODO FIXME: For Element == 0x0 need to return Name = Group Length ValueRepresentation = UL ValueMultiplicity = 1

Examples
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, PublicDict.cxx, and ReadAndPrintAttributes.cxx.

## Member Typedef Documentation

## ◆ ConstIterator

typedef MapDictEntry::const_iterator gdcm::Dict::ConstIterator

## ◆ Iterator

typedef MapDictEntry::iterator gdcm::Dict::Iterator

## ◆ MapDictEntry

typedef std::map<Tag, DictEntry> gdcm::Dict::MapDictEntry

## Constructor & Destructor Documentation

## ◆ Dict() [1/2]

gdcm::Dict::Dict | ( |  | ) |
| inline

References gdcm_assert.

Referenced by Dict(), operator<<, and operator=().

## ◆ Dict() [2/2]

gdcm::Dict::Dict | ( | const Dict & | _val | ) |
| delete

References Dict(), and operator<<.

## Member Function Documentation

## ◆ AddDictEntry()

void gdcm::Dict::AddDictEntry | ( | const Tag & | tag,
|  | const DictEntry & | de )
| inline

References gdcm_assert.

## ◆ Begin()

ConstIterator gdcm::Dict::Begin | ( |  | ) | const
| inline

Examples
  GenAllVR.cxx, and GenFakeIdentifyFile.cxx.

## ◆ End()

ConstIterator gdcm::Dict::End | ( |  | ) | const
| inline

Examples
  GenAllVR.cxx, and GenFakeIdentifyFile.cxx.

## ◆ GetDictEntry()

const DictEntry & gdcm::Dict::GetDictEntry | ( | const Tag & | tag | ) | const
| inline

Examples
  GenFakeIdentifyFile.cxx, and PublicDict.cxx.

References gdcm_assert.

## ◆ GetDictEntryByKeyword()

const DictEntry & gdcm::Dict::GetDictEntryByKeyword | ( | const char * | keyword,
|  | Tag & | tag ) const
| inline

Lookup DictEntry by keyword. Even if DICOM standard defines keyword as being unique. The lookup table is built on Tag. Therefore looking up a DictEntry by Keyword is more inefficient than looking up by Tag.

References gdcm_assert.

## ◆ GetDictEntryByName()

const DictEntry & gdcm::Dict::GetDictEntryByName | ( | const char * | name,
|  | Tag & | tag ) const
| inline

Inefficient way of looking up tag by name. Technically DICOM does not guarantee uniqueness (and Curve / Overlay are there to prove it). But most of the time name is in fact uniq and can be uniquely link to a tag

Examples
  ReadAndPrintAttributes.cxx.

References gdcm_assert.

## ◆ GetKeywordFromTag()

const char * gdcm::Dict::GetKeywordFromTag | ( | Tag const & | tag | ) | const
| inline

Function to return the Keyword from a Tag.

References gdcm_assert.

## ◆ IsEmpty()

bool gdcm::Dict::IsEmpty | ( |  | ) | const
| inline

## ◆ LoadDefault()

void gdcm::Dict::LoadDefault | ( |  | ) |
| protected

## ◆ operator=()

Dict & gdcm::Dict::operator= | ( | const Dict & | _val | ) |
| delete

References Dict().

## Friends And Related Symbol Documentation

## ◆ Dicts

friend class Dicts
| friend

References Dicts.

Referenced by Dicts.

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Dict & | _val )
| friend

References Dict().

Referenced by Dict().

The documentation for this class was generated from the following file:

- gdcmDict.h